{"openapi":"3.0.0","servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/24live6/24liveExternal/1.0.0"},{"url":"https://www.24liveresults.com/ext-api/v1","description":"Production server (uses live data)"},{"url":"https://staging.24live-score.com/ext-api/v1","description":"STAGE server (uses test data)"}],"info":{"description":"API","version":"1.0.0","title":"24live external API","contact":{"email":"ondrej.tyrychtr@score-stats.com","name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"tags":[{"name":"match","description":"Match api calls"}],"paths":{"/{client}/match-participant-img/{id}/{type}":{"get":{"tags":["file"],"summary":"get team/player photo or logo by match id","operationId":"participantMatchImg","description":"By passing only id parametr then Betradar id is considered, \nwith source appropriete client match id is taken\n","parameters":[{"in":"path","name":"id","schema":{"type":"integer","format":"int32"},"required":true,"description":"Match partner id (or Betradar ID)"},{"in":"path","name":"client","schema":{"type":"string"},"required":true,"description":"Client id"},{"in":"path","name":"type","required":true,"description":"Home or Away image","schema":{"type":"string","enum":["home","away"],"default":"home"}},{"in":"query","name":"source","description":"unique partner identificator","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"binary image","content":{"image/jpg":{"schema":{"type":"string","format":"binary"}},"image/png":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"File not found"},"429":{"description":"To many requests"},"5XX":{"description":"Unexpected error."}}}},"/{client}/participant-img/{id}":{"get":{"tags":["file"],"summary":"get team/player photo or logo by participant id","operationId":"participantImg","description":"By passing only id parametr then Betradar id is considered, \nwith source appropriete client match id is taken\n","parameters":[{"in":"path","name":"id","schema":{"type":"integer","format":"int32"},"required":true,"description":"Participant partner id"},{"in":"path","name":"client","schema":{"type":"string"},"required":true,"description":"Client id"},{"in":"query","name":"source","description":"unique partner identificator","required":true,"schema":{"type":"string"}},{"in":"query","name":"type","description":"Size of file","required":false,"schema":{"type":"string","enum":["large","medium","small"]}}],"responses":{"200":{"description":"binary image","content":{"image/jpg":{"schema":{"type":"string","format":"binary"}},"image/png":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"File not found"},"429":{"description":"To many requests"},"5XX":{"description":"Unexpected error."}}}},"/{client}/match-params/{id}":{"get":{"tags":["match"],"summary":"basic info about match params (h2h, tracker, table, cuptree ect..)","operationId":"matchParams","description":"By passing only id parametr then Betradar id is considered, \nwith source appropriete client match id is taken\n","parameters":[{"in":"path","name":"id","schema":{"type":"integer","format":"int32"},"required":true,"description":"Match partner id"},{"in":"path","name":"client","schema":{"type":"string"},"required":true,"description":"Client id"},{"in":"query","name":"source","description":"unique partner identificator","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MatchParams"}}}},"400":{"description":"Bad request or match not found"},"429":{"description":"To many requests"},"5XX":{"description":"Unexpected error."}}}},"/{client}/form/{id}":{"get":{"tags":["match"],"summary":"Last matches home/away","operationId":"form","description":"By passing only id parametr then Betradar id is considered, \nwith source appropriete client match id is taken\n","parameters":[{"in":"path","name":"id","schema":{"type":"integer","format":"int32"},"required":true,"description":"Match partner id"},{"in":"path","name":"client","schema":{"type":"string"},"required":true,"description":"Client id"},{"in":"query","name":"source","description":"unique partner identificator","required":false,"schema":{"type":"string"}},{"in":"query","name":"limit","description":"number of rows","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Form"}}}},"400":{"description":"Bas request or match not found"},"429":{"description":"To many requests"},"5XX":{"description":"Unexpected error."}}}},"/{client}/scorers/{id}":{"get":{"tags":["match"],"summary":"Home and away Top scorers","operationId":"scorers","description":"By passing only id parametr then Betradar id is considered, \nwith source appropriete client match id is taken\n","parameters":[{"in":"path","name":"id","schema":{"type":"integer","format":"int32"},"required":true,"description":"Match partner id"},{"in":"path","name":"client","schema":{"type":"string"},"required":true,"description":"Client id"},{"in":"query","name":"source","description":"unique partner identificator","required":false,"schema":{"type":"string"}},{"in":"query","name":"limit","description":"number of rows per team","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"search results matching criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Scorers"}}}},"400":{"description":"Bas request or match not found"},"5XX":{"description":"Unexpected error."}}}}},"components":{"schemas":{"Scorers":{"type":"object","required":["home","away"],"properties":{"home":{"type":"array","items":{"type":"object","$ref":"#/components/schemas/ScorerItem"}},"away":{"type":"array","items":{"type":"object","$ref":"#/components/schemas/ScorerItem"}}}},"ScorerItem":{"type":"object","properties":{"player_id":{"type":"number","format":"int32"},"id":{"type":"number","format":"int32"},"goals_for_team":{"type":"number","format":"int32"},"full_name":{"type":"string"},"modified":{"type":"number","format":"int32","example":1639602244}}},"Form":{"type":"object","required":["home","away"],"properties":{"home":{"type":"array","items":{"type":"object","$ref":"#/components/schemas/FormItem"}},"away":{"type":"array","items":{"type":"object","$ref":"#/components/schemas/FormItem"}}}},"FormItem":{"type":"object","properties":{"name":{"type":"string"},"form":{"type":"object","properties":{"id":{"type":"number","format":"int32"},"type":{"type":"string"},"start_date":{"type":"string","format":"date-time"},"score":{"type":"string","example":"2:0"},"score_period_1":{"type":"string","nullable":true},"score_period_2":{"type":"string","nullable":true},"score_period_3":{"type":"string","nullable":true},"home_team":{"type":"string","nullable":true},"away_team":{"type":"string","nullable":true},"status":{"type":"string","enum":["lose","win","draw","ot_win","ot_lose"]},"corners_home":{"type":"number","format":"int32"},"corners_away":{"type":"number","format":"int32"},"code_state":{"type":"string","enum":["not_started","ended","walkover","retired","aet"]},"sport_name":{"type":"string","example":"soccer"}}}}},"MatchParams":{"type":"object","required":["video","tracker","table","cuptree","statistics","h2h","lineup"],"properties":{"video":{"type":"boolean"},"tracker":{"type":"boolean"},"table":{"type":"boolean"},"lineup":{"type":"boolean"},"cuptree":{"type":"boolean"},"statistics":{"type":"boolean"},"h2h":{"type":"boolean"},"overview":{"type":"boolean"}}}}}}